Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jaxen
Class DocumentNavigator

    java.lang.Object
      org.jaxen.DefaultNavigator
          net.sourceforge.pmd.jaxen.DocumentNavigator

All Implemented Interfaces:
  java.io.Serializable, org.jaxen.Navigator

    public class DocumentNavigator

extends org.jaxen.DefaultNavigator

Author:
  daniels
See Also:
  Serialized Form

Constructor Summary
`DocumentNavigator()`

Method Summary
`java.util.Iterator<Attribute>` | `getAttributeAxisIterator(java.lang.Object arg0)`
`java.lang.String` | `getAttributeName(java.lang.Object arg0)`
`java.lang.String` | `getAttributeNamespaceUri(java.lang.Object arg0)`
`java.lang.String` | `getAttributeQName(java.lang.Object arg0)`
`java.lang.String` | `getAttributeStringValue(java.lang.Object arg0)`
`java.util.Iterator<Node>` | `getChildAxisIterator(java.lang.Object contextNode)` Get an iterator over all of this node's children.
`java.lang.String` | `getCommentStringValue(java.lang.Object arg0)`
`java.lang.Object` | `getDocumentNode(java.lang.Object contextNode)`
`java.lang.String` | `getElementName(java.lang.Object node)`
`java.lang.String` | `getElementNamespaceUri(java.lang.Object arg0)`
`java.lang.String` | `getElementQName(java.lang.Object arg0)`
`java.lang.String` | `getElementStringValue(java.lang.Object arg0)`
`java.util.Iterator<Node>` | `getFollowingAxisIterator(java.lang.Object contextNode)` Get an iterator over all following nodes, depth-first.
`java.util.Iterator<Node>` | `getFollowingSiblingAxisIterator(java.lang.Object contextNode)` Get an iterator over all following siblings.
`java.lang.String` | `getNamespacePrefix(java.lang.Object arg0)`
`java.lang.String` | `getNamespaceStringValue(java.lang.Object arg0)`
`java.util.Iterator` | `getParentAxisIterator(java.lang.Object contextNode)` Get a (single-member) iterator over this node's parent.
`java.lang.Object` | `getParentNode(java.lang.Object arg0)`
`java.util.Iterator<Node>` | `getPrecedingAxisIterator(java.lang.Object contextNode)` Get an iterator over all preceding nodes, depth-first.
`java.util.Iterator<Node>` | `getPrecedingSiblingAxisIterator(java.lang.Object contextNode)` Get an iterator over all preceding siblings.
`java.lang.String` | `getTextStringValue(java.lang.Object arg0)`
`boolean` | `isAttribute(java.lang.Object arg0)`
`boolean` | `isComment(java.lang.Object arg0)`
`boolean` | `isDocument(java.lang.Object arg0)`
`boolean` | `isElement(java.lang.Object arg0)`
`boolean` | `isNamespace(java.lang.Object arg0)`
`boolean` | `isProcessingInstruction(java.lang.Object arg0)`
`boolean` | `isText(java.lang.Object arg0)`
`org.jaxen.XPath` | `parseXPath(java.lang.String arg0)`

Methods inherited from class org.jaxen.DefaultNavigator
`getAncestorAxisIterator, getAncestorOrSelfAxisIterator, getDescendantAxisIterator, getDescendantOrSelfAxisIterator, getDocument, getElementById, getNamespaceAxisIterator, getNodeType, getProcessingInstructionData, getProcessingInstructionTarget, getSelfAxisIterator, translateNamespacePrefixToUri`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentNavigator

    public DocumentNavigator()

Method Detail

### getAttributeName

    public java.lang.String getAttributeName(java.lang.Object arg0)

### getAttributeNamespaceUri

    public java.lang.String getAttributeNamespaceUri(java.lang.Object arg0)

### getAttributeQName

    public java.lang.String getAttributeQName(java.lang.Object arg0)

### getAttributeStringValue

    public java.lang.String getAttributeStringValue(java.lang.Object arg0)

### getCommentStringValue

    public java.lang.String getCommentStringValue(java.lang.Object arg0)

### getElementName

    public java.lang.String getElementName(java.lang.Object node)

### getElementNamespaceUri

    public java.lang.String getElementNamespaceUri(java.lang.Object arg0)

### getElementQName

    public java.lang.String getElementQName(java.lang.Object arg0)

### getElementStringValue

    public java.lang.String getElementStringValue(java.lang.Object arg0)

### getNamespacePrefix

    public java.lang.String getNamespacePrefix(java.lang.Object arg0)

### getNamespaceStringValue

    public java.lang.String getNamespaceStringValue(java.lang.Object arg0)

### getTextStringValue

    public java.lang.String getTextStringValue(java.lang.Object arg0)

### isAttribute

    public boolean isAttribute(java.lang.Object arg0)

### isComment

    public boolean isComment(java.lang.Object arg0)

### isDocument

    public boolean isDocument(java.lang.Object arg0)

### isElement

    public boolean isElement(java.lang.Object arg0)

### isNamespace

    public boolean isNamespace(java.lang.Object arg0)

### isProcessingInstruction

    public boolean isProcessingInstruction(java.lang.Object arg0)

### isText

    public boolean isText(java.lang.Object arg0)

### parseXPath

    public org.jaxen.XPath parseXPath(java.lang.String arg0)

### getParentNode

    public java.lang.Object getParentNode(java.lang.Object arg0)

  Specified by:
    `getParentNode` in interface `org.jaxen.Navigator`
  Overrides:
    `getParentNode` in class `org.jaxen.DefaultNavigator`

### getAttributeAxisIterator

    public java.util.Iterator<Attribute> getAttributeAxisIterator(java.lang.Object arg0)

  Specified by:
    `getAttributeAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getAttributeAxisIterator` in class `org.jaxen.DefaultNavigator`

### getChildAxisIterator

    public java.util.Iterator<Node> getChildAxisIterator(java.lang.Object contextNode)

  Get an iterator over all of this node's children.

  Specified by:
    `getChildAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getChildAxisIterator` in class `org.jaxen.DefaultNavigator`
  Parameters:
    `contextNode` - The context node for the child axis.
  Returns:
    A possibly-empty iterator (not null).

### getParentAxisIterator

    public java.util.Iterator getParentAxisIterator(java.lang.Object contextNode)

  Get a (single-member) iterator over this node's parent.

  Specified by:
    `getParentAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getParentAxisIterator` in class `org.jaxen.DefaultNavigator`
  Parameters:
    `contextNode` - the context node for the parent axis.
  Returns:
    A possibly-empty iterator (not null).

### getFollowingSiblingAxisIterator

    public java.util.Iterator<Node> getFollowingSiblingAxisIterator(java.lang.Object contextNode)

  Get an iterator over all following siblings.

  Specified by:
    `getFollowingSiblingAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getFollowingSiblingAxisIterator` in class `org.jaxen.DefaultNavigator`
  Parameters:
    `contextNode` - the context node for the sibling iterator.
  Returns:
    A possibly-empty iterator (not null).

### getPrecedingSiblingAxisIterator

    public java.util.Iterator<Node> getPrecedingSiblingAxisIterator(java.lang.Object contextNode)

  Get an iterator over all preceding siblings.

  Specified by:
    `getPrecedingSiblingAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getPrecedingSiblingAxisIterator` in class `org.jaxen.DefaultNavigator`
  Parameters:
    `contextNode` - The context node for the preceding sibling axis.
  Returns:
    A possibly-empty iterator (not null).

### getFollowingAxisIterator

    public java.util.Iterator<Node> getFollowingAxisIterator(java.lang.Object contextNode)

  Get an iterator over all following nodes, depth-first.

  Specified by:
    `getFollowingAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getFollowingAxisIterator` in class `org.jaxen.DefaultNavigator`
  Parameters:
    `contextNode` - The context node for the following axis.
  Returns:
    A possibly-empty iterator (not null).

### getPrecedingAxisIterator

    public java.util.Iterator<Node> getPrecedingAxisIterator(java.lang.Object contextNode)

  Get an iterator over all preceding nodes, depth-first.

  Specified by:
    `getPrecedingAxisIterator` in interface `org.jaxen.Navigator`
  Overrides:
    `getPrecedingAxisIterator` in class `org.jaxen.DefaultNavigator`
  Parameters:
    `contextNode` - The context node for the preceding axis.
  Returns:
    A possibly-empty iterator (not null).

### getDocumentNode

    public java.lang.Object getDocumentNode(java.lang.Object contextNode)

  Specified by:
    `getDocumentNode` in interface `org.jaxen.Navigator`
  Overrides:
    `getDocumentNode` in class `org.jaxen.DefaultNavigator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.